#! /bin/sh
#-----------------------------------------------------------------
#Shell script to prepare a cron file for Mentor.
#-----------------------------------------------------------------
. /etc/sysconfig/clement
LOCK=/tmp/daily.sh.$APPNAME-$VERS.lock
trap "rm -f $LOCK ; exit 1" 1 2 3 15
lockfile -1 $LOCK
if [ `id -u` = 0 ] ; then
  /bin/echo "daily.sh, Can't be executed as root"
  exit
  fi

if [ -f /var/lock/subsys/$APPNAME ] ; then
  #to move data journal older than 10 from logs to logs/Old
  #and to compress them.
  (
  if [ -d /var/spool/$APPNAME-$VERS/logs ] ; then 
    cd /var/spool/$APPNAME-$VERS/logs
    find . -maxdepth 1 -mtime +10 -exec mv {} Old \;
    gzip Old/*.jrl
    fi
  )
  #to move data journal older than 30 days from www/logs 
  #to www/logs.old and to compress them.
  #remove journal older than 60 day from archives
  (
  if [ -d /var/spool/$APPNAME-$VERS/wlogs ] ; then 
    cd /var/spool/$APPNAME-$VERS/wlogs
    find . -maxdepth 1 -mtime +31 -exec mv {} Old \;
    gzip Old/*.jrl
    find Old  -maxdepth 1 -mtime +60 -exec rm {} \;
    fi
  )
  #to scan quarantine area and make sure old (not wanted) E-mail 
  # do not "stay put", flag mail older than 20 days
  (
  if [ -d /var/spool/$APPNAME-$VERS/triage ] ; then 
    cd /var/spool/$APPNAME-$VERS/triage 
    find . -name "*-E" -mtime +20 \
      -exec /usr/lib/$APPNAME-$VERS/shell/cleaner.sh {} \;
    fi
  )
  #to scan trblq area and make sure old and wrong E-mail 
  #do not "stay put", considering after 20 days, sysadmin
  #in not interested to get them.
  (
  if [ -d /var/spool/$APPNAME-$VERS/trblq ] ; then 
    cd /var/spool/$APPNAME-$VERS/trblq ;
    find . -type f -mtime +20 -exec rm -f {} \;
    fi
  )
  fi
rm -f $LOCK
